unit Unit1;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, GLPolyhedron, GLScene, GLGeomObjects,
  GLObjects, GLCoordinates, GLCrossPlatform, BaseClasses, GLWin32Viewer,
  AsyncTimer, GLCollision, Vcl.StdCtrls;

type
  TForm1 = class(TForm)
    GLSceneViewer1: TGLSceneViewer;
    GLScene1: TGLScene;
    GLCamera1: TGLCamera;
    GLLightSource1: TGLLightSource;
    GLDummyCube1: TGLDummyCube;
    GLFrustrum1: TGLFrustrum;
    GLIcosahedron1: TGLIcosahedron;
    AsyncTimer1: TAsyncTimer;
    CollisionManager1: TCollisionManager;
    Label1: TLabel;
    Label2: TLabel;
    GLCylinder1: TGLCylinder;
    procedure AsyncTimer1Timer(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure CollisionManager1Collision(Sender: TObject; object1,
      object2: TGLBaseSceneObject);
  private
    { Private declarations }
    t   : integer;
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
begin
  t := 0;
end;

procedure TForm1.AsyncTimer1Timer(Sender: TObject);
var
  cc : single;
begin
  cc := -3*cos(Pi*t/100);
  GLIcosahedron1.Position.X := cc;
  t := t + 1;

  Label1.Caption := 'obj ???';
  Label2.Caption := 'obj ???';
//  Label1.Update;
//  Label2.Update;

  CollisionManager1.CheckCollisions;

end;

procedure TForm1.CollisionManager1Collision(Sender: TObject;
  object1,
  object2: TGLBaseSceneObject);
begin

  Label1.Caption := object1.Name;
  Label2.Caption := object2.Name;
end;


end.
